package glk;
public interface GlkConstants {
    public final static int TRUE = 1;
    public final static int FALSE = 0;

    public final static int gestalt_Version = (0);
    public final static int  gestalt_CharInput =  (1);
    public final static int  gestalt_LineInput =  (2);
    public final static int  gestalt_CharOutput =  (3);
    public final static int    gestalt_CharOutput_CannotPrint =  (0);
    public final static int    gestalt_CharOutput_ApproxPrint =  (1);
    public final static int    gestalt_CharOutput_ExactPrint =  (2);
    public final static int  gestalt_MouseInput =  (4);
    public final static int  gestalt_Timer =  (5);
    public final static int  gestalt_Graphics =  (6);
    public final static int  gestalt_DrawImage =  (7);
    public final static int  gestalt_Sound =  (8);
    public final static int  gestalt_SoundVolume =  (9);
    public final static int  gestalt_SoundNotify =  (10);
    public final static int  gestalt_Hyperlinks =  (11);
    public final static int  gestalt_HyperlinkInput =  (12);
    public final static int  gestalt_SoundMusic =  (13);
    public final static int  gestalt_GraphicsTransparency =  (14);
    
    public final static int  evtype_None =  (0);
    public final static int  evtype_Timer =  (1);
    public final static int  evtype_CharInput =  (2);
    public final static int  evtype_LineInput =  (3);
    public final static int  evtype_MouseInput =  (4);
    public final static int  evtype_Arrange =  (5) ;
    public final static int  evtype_Redraw =  (6);
    public final static int  evtype_SoundNotify =  (7);
    public final static int  evtype_Hyperlink =  (8);
    
    
    public final static int  keycode_Unknown =   (0xffffffff);
    public final static int  keycode_Left =      (0xfffffffe);
    public final static int  keycode_Right =     (0xfffffffd);
    public final static int  keycode_Up =        (0xfffffffc);
    public final static int  keycode_Down =      (0xfffffffb);
    public final static int  keycode_Return =    (0xfffffffa);
    public final static int  keycode_Delete =    (0xfffffff9);
    public final static int  keycode_Escape =    (0xfffffff8);
    public final static int  keycode_Tab =       (0xfffffff7);
    public final static int  keycode_PageUp =    (0xfffffff6);
    public final static int  keycode_PageDown =  (0xfffffff5);
    public final static int  keycode_Home =      (0xfffffff4);
    public final static int  keycode_End =       (0xfffffff3);
    public final static int  keycode_Func1 =     (0xffffffef);
    public final static int  keycode_Func2 =     (0xffffffee);
    public final static int  keycode_Func3 =     (0xffffffed);
    public final static int  keycode_Func4 =     (0xffffffec);
    public final static int  keycode_Func5 =     (0xffffffeb);
    public final static int  keycode_Func6 =     (0xffffffea);
    public final static int  keycode_Func7 =     (0xffffffe9);
    public final static int  keycode_Func8 =     (0xffffffe8);
    public final static int  keycode_Func9 =     (0xffffffe7);
    public final static int  keycode_Func10 =    (0xffffffe6);
    public final static int  keycode_Func11 =    (0xffffffe5);
    public final static int  keycode_Func12 =    (0xffffffe4);
    /* The last keycode is always (0x100000000 - keycode_MAXVAL) */
    public final static int  keycode_MAXVAL =    (28) ;

    public final static int  style_Normal =  (0);
    public final static int  style_Emphasized =  (1);
    public final static int  style_Preformatted =  (2);
    public final static int  style_Header =  (3);
    public final static int  style_Subheader =  (4);
    public final static int  style_Alert =  (5);
    public final static int  style_Note =  (6);
    public final static int  style_BlockQuote =  (7);
    public final static int  style_Input =  (8);
    public final static int  style_User1 =  (9);
    public final static int  style_User2 =  (10);
    public final static int  style_NUMSTYLES =  (11);

    public final static int  wintype_AllTypes =  (0) ;
    public final static int  wintype_Pair =  (1) ;
    public final static int  wintype_Blank =  (2) ;
    public final static int  wintype_TextBuffer =  (3);
    public final static int  wintype_TextGrid =  (4);
    public final static int  wintype_Graphics =  (5);
    
    public final static int  winmethod_Left =   (0x00) ;
    public final static int  winmethod_Right =  (0x01) ;
    public final static int  winmethod_Above =  (0x02) ;
    public final static int  winmethod_Below =  (0x03) ;
    public final static int  winmethod_DirMask =  (0x0f);
    
    public final static int  winmethod_Fixed =  (0x10);
    public final static int  winmethod_Proportional =  (0x20);
    public final static int  winmethod_DivisionMask =  (0xf0);
    
    public final static int  fileusage_Data =  (0x00);
    public final static int  fileusage_SavedGame =  (0x01);
    public final static int  fileusage_Transcript =  (0x02);
    public final static int  fileusage_InputRecord =  (0x03);
    public final static int  fileusage_TypeMask =  (0x0f);
    
    public final static int  fileusage_TextMode =    (0x100);
    public final static int  fileusage_BinaryMode =  (0x000);
    
    public final static int  filemode_Write =  (0x01);
    public final static int  filemode_Read =  (0x02);
    public final static int  filemode_ReadWrite =  (0x03);
    public final static int  filemode_WriteAppend =  (0x05);
    
    public final static int  seekmode_Start =  (0);
    public final static int  seekmode_Current =  (1);
    public final static int  seekmode_End =  (2);
    
    public final static int  stylehint_Indentation =  (0);
    public final static int  stylehint_ParaIndentation =  (1);
    public final static int  stylehint_Justification =  (2) ;
    public final static int  stylehint_Size =  (3);
    public final static int  stylehint_Weight =  (4);
    public final static int  stylehint_Oblique =  (5);
    public final static int  stylehint_Proportional =  (6);
    public final static int  stylehint_TextColor =  (7);
    public final static int  stylehint_BackColor =  (8);
    public final static int  stylehint_ReverseColor =  (9);
    public final static int  stylehint_NUMHINTS =  (10);
    
    public final static int    stylehint_just_LeftFlush =  (0);
    public final static int    stylehint_just_LeftRight =  (1);
    public final static int    stylehint_just_Centered =  (2);
    public final static int    stylehint_just_RightFlush =  (3);
}
