package glk.poorglk;
import glk.Glk;
class PoorWinStream extends PoorStream
{
    protected PoorWindow w;
    PoorWinStream(PoorGlk glk, PoorWindow w, int rock)
    {
	super(glk, Glk.filemode_Write, rock);
	this.w = w;
    }
    
    public void put_char(char ch)
    {
	w.put_char(ch);
	writechars++;
    }

    public void put_string(String s)
    {
	w.put_string(s);
	writechars += s.length();
    }

    public void put_buffer(char []buf, int len)
    {
	w.put_buffer(buf, len);
	writechars += len;
    }

    public void put_buffer(byte []buf, int len)
    {
	try {
	    put_string(new String(buf, 0, len, "ISO-8859-1"));
	}
	catch(java.io.UnsupportedEncodingException uee) {/*can't happen*/}

    }

}
