package glk.poorglk;
import glk.Glk;

class WinTextBuffer extends PoorWindow {
    
    protected WinTextBuffer(PoorGlk glk, int rock) 
    {
	super(glk, rock);
    }

    public int get_type()
    {
	return Glk.wintype_TextBuffer;
    }

    void put_char(char ch)
    {
	super.put_char(ch);
	System.out.print(ch);
	if (ch == '\n')
	    System.out.flush();
    }

    void put_string(String s)
    {
	super.put_string(s);
	System.out.print(s);
	if (s.indexOf('\n') != -1)
	    System.out.flush();
    }

    void put_buffer(char []ch, int len)
    {
	String s = new String(ch, 0, len);
	put_string(s);
    }
}
